<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;

use function Platiti\GPWebPayGpeNs\UniModul\BeginUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\EndUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\ExceptionUniErr;

include(dirname(__FILE__).'/../../config/config.inc.php');

include(dirname(__FILE__).'/../../init.php');

require_once dirname(__FILE__).'/PrestaAdapter.php';

try {
	BeginUniErr();

	session_start();
	$adapter = new PrestaAdapter(null, $_GET['uniModul']);

	$adapter->assignSmartyForFailPage();
	$adapter->displayTemplate(dirname(__FILE__).'/views/templates/front/fail.tpl');

	EndUniErr();
} catch (Exception $ex) {
	ExceptionUniErr($ex);
}
