<?php
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;

use function Platiti\GPWebPayGpeNs\UniModul\BeginUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\EndUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\ExceptionUniErr;

include_once(dirname(__FILE__).'/../../config/config.inc.php');
include_once(dirname(__FILE__).'/../../init.php');
require dirname(__FILE__).'/PrestaAdapter.php';

try {
	BeginUniErr();

	$adapter = new PrestaAdapter(null, $_GET['uniModul']);
	$orderReplyStatus = $adapter->uniModul->gatewayReceiveNotification();
	ob_flush(); // presta nekdy ve validaci vola ob_clean() a pak by smazala OK atp generovane fci gatewayReceiveNotification
	$adapter = new PrestaAdapter(null, $_GET['uniModul']);
	$adapter->procesReplyStatus($orderReplyStatus, false);

	EndUniErr();
} catch (Exception $ex) {
	ExceptionUniErr($ex);
}

