<!--
// Autor (c) Miroslav Novak, www.platiti.cz
// Pouzivani bez souhlasu autora neni povoleno
// #Ver:PRV101-56-g411a2eed:2023-07-24#
-->

{capture name=path}{l s='Payment' mod='GPWebPayGpeBinder'}{/capture}

{if !empty($total)}
	<h1 class="page-heading">
		{l s='Order summation' mod='GPWebPayGpeBinder'}
	</h1>

	{assign var='current_step' value='payment'}
	{include file="$tpl_dir./order-steps.tpl"}

	<h3>{$methodName}</h3>
	{$minilogo}
	<p>
		<img src="{$uniModulLogo}" alt="{$methodName}" class="UniModulMethodLogo" style="float:left; margin: 0px 10px 5px 0px;"/>
		{l s='You have chosen the' mod='GPWebPayGpeBinder'} {$methodName} {l s='method.' mod='PrestaAdapter'}
		<br/><br />
		{l s='The total amount of your order is' mod='GPWebPayGpeBinder'}
		<span id="amount_{$currencies.0.id_currency}" class="price">{convertPrice price=$total}</span>
		{if $use_taxes == 1}
			{l s='(tax incl.)' mod='GPWebPayGpeBinder'}
		{/if}
	</p>

	{if isset($forexMessage)}
		&nbsp;<p style="text-align:left">{$forexMessage}</p>
	{/if}

	{if !isset($inlineForm)}
		<form method="post">
			{if $selectCsPayBrand === true}
				<br />
				<p style="text-align:left">
					<b>{$ccBrand_title}</b><br/>
					<input type="radio" name="ccBrand" value="VISA" checked> VISA</input><br/>
					<input type="radio" name="ccBrand" value="MasterCard"> MasterCard</input><br/>
					<input type="radio" name="ccBrand" value="VisaElectron"> VisaElectron</input><br/>
					<input type="radio" name="ccBrand" value="Maestro"> Maestro</input><br/>
				</p>
			{/if}
			<p>
				<br />
				{l s='You will be redirected to the payment gateway after you confirm the order.' mod='GPWebPayGpeBinder'}
			</p>
			<p class="cart_navigation">
				<a href="{$link->getPageLink('order.php', true)}?step=3" class="button_large">{l s='Other payment methods' mod='GPWebPayGpeBinder'}</a>
					<input type="submit" name="uniPayCont" value="{l s='Order with an obligation to pay' mod='GPWebPayGpeBinder'}" class="exclusive_large" />
				{$minilogo}
			</p>
		</form>
	{/if}
{/if}
{if isset($inlineForm)}
	&nbsp;<p style="text-align:left">{$inlineForm}</p>
{/if}
