<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use ModuleFrontController;
use Platiti\GPWebPayGpeNs\UniModul\Http;

use function Platiti\GPWebPayGpeNs\UniModul\BeginUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\EndUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\ExceptionUniErr;

class PrestaAdapterCallbackModuleFrontController extends ModuleFrontController {

	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			BeginUniErr();

			assert(isset($this->module->adapter) && is_a($this->module->adapter, PrestaAdapter::class));
			parse_str($_SERVER['QUERY_STRING'], $cbArgs);
			$this->module->adapter->uniModul->processCallbackRequest(Http::get('_callbackName'), $cbArgs); /** @phpstan-ignore-line */

			EndUniErr();
		} catch (Exception $ex) {
			ExceptionUniErr($ex);
		}
	}

	/**
     * @param mixed $content
     * @return void
     */
	protected function smartyOutputContent($content) {
		// no smarty output
	}


}

