<?php

namespace Platiti\GPWebPayGpeNs\PrestaShop;

use Exception;
use ModuleFrontController;

use function Platiti\GPWebPayGpeNs\UniModul\BeginUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\EndUniErr;
use function Platiti\GPWebPayGpeNs\UniModul\ExceptionUniErr;

class PrestaAdapterNotifyModuleFrontController extends ModuleFrontController {

	public $ssl = true;

	/**
	 * @return void
	 */
	public function initContent() {
		parent::initContent();
		try {
			BeginUniErr();

			assert(isset($this->module->adapter) && is_a($this->module->adapter, PrestaAdapter::class));
			$orderReplyStatus = $this->module->adapter->uniModul->gatewayReceiveNotification();
			ob_flush(); // presta nekdy ve validaci vola ob_clean() a pak by smazala OK atp generovane fci gatewayReceiveNotification
			$this->module->adapter->procesReplyStatus($orderReplyStatus, false);

			EndUniErr();
		} catch (Exception $ex) {
			ExceptionUniErr($ex);
		}
	}

	/**
     * @param mixed $content
	 * @return void
     */
	protected function smartyOutputContent($content) {
		// no smarty output
	}

}

